# CommandlineArgument

"Inner" class used for nested xml command line definitions.

package | phing.types

### Methods

## __construct

    __construct(\Commandline $outer)

### Arguments

#### $outer

`\Commandline`

## Returns the parts this Argument consists of.

    getParts() : array

### Response

`array`

string[]

## Line to split into several commandline arguments.

    setLine( $line)

### Arguments

#### $line

``

## Sets a single commandline argument.

    setValue(string $value)

### Arguments

#### $value

`string`

a single commandline argument.

### Properties

## parts

    parts :

### Type(s)

``

## outer

    outer :

### Type(s)

``